package org.wfc.user.service;

import org.wfc.user.api.domain.bo.UClientBo;
import org.wfc.user.domain.UAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import org.wfc.user.domain.vo.UAccountDashboardVo;

/**
 * <p>
 * 用户平台-账户表 服务类
 * </p>
 *
 * @author sys
 * @since 2024-12-23
 */
public interface IUAccountService extends IService<UAccount> {

    /**
     * 统计和取消授权用户
     */
    void statAndCancelAuthUser();

    /**
     * 授权设备和限速
     * @param client client
     */
    void authClientAndRateLimit(UClientBo client);

    /**
     * 首页仪表盘查询
     * @return
     */
    UAccountDashboardVo getByUser();

    void generateBill(Long userId, Long cdrHistoryId);

}
